function [RMSE] = RMSE_Analysis(A_GT, A_est, matched_indices, outlier_ind)
    A_GT(:, outlier_ind) = [];
    A_est(:, outlier_ind) = [];
    Diff = [];
    for ii =1:length(matched_indices)
        d = A_GT(ii, :) - A_est(matched_indices(ii),:);
        Diff = [Diff ;d];
    end
    res = sum(sum(Diff.^2));
    RMSE = sqrt(res/(size(A_GT,1)*size(A_GT,2)));
end

