function [values, indices] = SAM_Analysis(Spectra, Learned)
Learned = normc(Learned);
Spectra = normc(Spectra);
values = [];
indices = [];
for  i = 1:size(Spectra,2)
    sam = rad2deg(acos(Learned' * Spectra(:,i)));
    [val, ID] = min(sam);
    Learned(:,ID) = zeros(size(Learned,1),1);
    values = [values real(val)];
    indices = [indices ID];
end
end


